<template>
  <div class="param-set-page">
    <flowNodeParamTable></flowNodeParamTable>
  </div>
</template>

<script setup lang="ts">
import { ref, defineProps, defineEmits, watch } from 'vue';
import flowNodeParamTable from '@/components/flow/flowNodeParamTable.vue';

const props = defineProps({
  currentNodeInfo: {
    type: Object,
    default: () => {

    },
  },
});

const nodeParamInfo = ref<any>({});

watch(() => props.currentNodeInfo, (newVal) => {

  if (newVal) {
    nodeParamInfo.value = newVal;
  }
});

</script>

<style lang="scss" scoped>
.param-set-page{
    width: 100%;
    height: 100%;
}
</style>
